Subject: Re: [PATCH] color: allow colors to be prefixed with "reset"

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Oct 2021 14:42:02 -0700

"Robert Estelle via GitGitGadget" <[email-masked]> writes:

> From: Robert Estelle <[email-masked]>
>
> "reset" was previously treated as a standalone special color name
> representing `\e[m`. Now, it can apply to other color properties,
> allowing exact specifications without implicit attribute inheritance.
>
> For example, "reset green" now renders `\e[;32m`, which is interpreted
> as "reset everything; then set foreground to green". This means the
> background and other attributes are also reset to their defaults.
>
> Previously, this was impossible to represent in a single color:
> "reset" could be specified alone, or a color with attributes, but some
> thing like clearing a background color were impossible.
>
> There is a separate change that introduces the "default" color name to
> assist with that, but even then, the above could only to be represented
> by explicitly disabling each of the attributes:
>   green default no-bold no-dim no-italic no-ul no-blink no-reverse no-strike
>
> Signed-off-by: Robert Estelle <[email-masked]>
> ---

Unlike the "default" patch, I quite do not see the point of the
example(s).  Instead of saying "reset green", can't we already say
"set bg to default, and set fg to green", thanks to the other one?
Or does "default" do too little to deserve a name that implies "go
back to default", e.g. by not defeating the 'blink' attribute that
was set earlier?